Summary:	Quadrapassel - Tetris-like game for GNOME
Summary(pl.UTF-8):	Quadrapassel - podobna do Tetrisa gra dla GNOME
Name:		quadrapassel
Version:	40.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/quadrapassel/40/%{name}-%{version}.tar.xz
# Source0-md5:	a25a0d6725309b802149db2cd2564dcb
URL:		https://wiki.gnome.org/Apps/Quadrapassel
BuildRequires:	appstream-glib
BuildRequires:	clutter-devel >= 1.0.0
BuildRequires:	clutter-gtk-devel >= 0.91.6
BuildRequires:	cogl-devel >= 1.0
BuildRequires:	gettext-tools
BuildRequires:	gsound-devel >= 1.0.2
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	libmanette-devel >= 0.2.0
BuildRequires:	librsvg-devel >= 1:2.32.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.12
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-gsound >= 1.0.2
BuildRequires:	vala-libmanette >= 0.2.0
BuildRequires:	vala-librsvg >= 1:2.32.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	clutter >= 1.0.0
Requires:	clutter-gtk >= 0.91.6
Requires:	gsound >= 1.0.2
Requires:	gtk+3 >= 3.12.0
Requires:	hicolor-icon-theme
Requires:	libmanette >= 0.2.0
Requires:	librsvg >= 1:2.32.0
Provides:	gnome-games-gnometris
Provides:	gnome-games-quadrapassel = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnometris < 1:2.30
Obsoletes:	gnome-games-quadrapassel < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quadrapassel comes from the classic falling-block game, Tetris. The
goal of the game is to create complete horizontal lines of blocks,
which will disappear. 

%description -l pl.UTF-8
Quadrapassel wywodzi się z Tetrisa - klasycznej gry ze spadającymi
blokami. Celem jest tworzenie zapełnionych blokami poziomych rzędów,
które wtedy znikają.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md TODO.md
%attr(755,root,root) %{_bindir}/quadrapassel
%{_datadir}/glib-2.0/schemas/org.gnome.Quadrapassel.gschema.xml
%{_datadir}/metainfo/org.gnome.Quadrapassel.appdata.xml
%{_datadir}/quadrapassel
%{_desktopdir}/org.gnome.Quadrapassel.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Quadrapassel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Quadrapassel-symbolic.svg
%{_mandir}/man6/quadrapassel.6*
%changelog
* Fri Jun 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/quadrapassel.git;a=log;h=master

* Fri Jun 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 7b206d4
- updated to 40.2

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> e7214fd
- updated to 3.38.6

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 5209251
- updated to 3.38.1

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 44b253f
- updated to 3.36.05

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 3721d0d
- updated to 3.36.04

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 3807289
- updated to 3.36.02

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> c4482ec
- updated to 3.36.00

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 41fb658
- updated to 3.34.1

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 8744375
- gnome-common no longer required

* Wed Oct 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b341f70
- Update to 3.22.0

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> bc1dca5
- updated to 3.18.0

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> d09fe55
- BR: appstream-glib-devel (APPSTREAM_XML in configure.ac)
- verbose icons files in system tree

* Wed May 13 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 97d072b
- Update to 3.16.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2b48cb3
- updated gettext BR

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 80054f3
- longer descriptions, install time dependencies

* Sat May 17 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 978b749
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 04c1985
- Update to 3.12.1

* Sun Feb 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4e3199d
- Update to 3.10.2

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b3f9699
- Initial release

